{% extends 'base_front.html.twig' %}
{% block section %}

    <div class="my-bet-content">
        <div class="anchor-link-mybets">
            <a href="#anchor-creation" class="anchor-link-mybets-a">Mes paris créés | </a>
            <a href="#anchor-participation" class="anchor-link-mybets-a">Paris auxquels je participe</a>
        </div>

        <h1 class="mybet-title" id="anchor-creation">Mes paris créés</h1>

        <div class="boxes-container">
            {% if bets != null %}
                {% for bet in bets %}
                    <div class="mybet-box">
                        <div class="flex-title-status">
                            <p class="mybet-box-name">{{ bet.name }}</p>
                            {% if bet.status != "PRIVÉ" %}
                                {% if bet.status == "EN COURS" %}
                                    <p class="mybet-box-status bet-status" style="color: orange">Status : {{ bet.status }}</p>
                                {% elseif bet.status == "REFUSÉ" %}
                                    <p class="mybet-box-status bet-status" style="color: red">Status : {{ bet.status }}</p>
                                {% elseif bet.status == "Terminé" %}
                                    <p class="mybet-box-status bet-status" style="color: red">Status : {{ bet.status }}</p>
                                {% else %}
                                    <p class="mybet-box-status bet-status" style="color: green">Status : {{ bet.status }}</p>
                                {% endif %}
                            {% endif %}
                        </div>
                        <p class="mybet-box-isPublic">Type :
                            {% if bet.isPublic == false %}
                                Privé
                            {% else %}
                                Public
                            {% endif %}
                        </p>
                        <p class="mybet-box-isSponsored">
                            {% if bet.isSponsored == false %}
                                Non sponsorisé
                            {% else %}
                                Paris Sponsorisé
                            {% endif %}
                        </p>
                        <p class="mybet-box-date">Créé le : {{ bet.createdAt|date('d-m-Y') }} à  {{bet.createdAt|date('H:i:s')}}</p>

                        <a href="{{ path('app_profile_bet', {'id': bet.id}) }}" class="mybet-box-button">Voir le pari</a>
                    </div>
                {% endfor %}
            {% else %}
                <p style="text-align: center; font-size: 25px;">Vous n'avez encore créé aucun pari !</p>
            {% endif %}

        </div>

        <h2 class="mybet-title" id="anchor-participation">Paris auxquels je participe</h2>
            <div class="boxes-container">
                {% if betParticipationList != null %}
                    {% for bet in betParticipationList %}
                        <div class="mybet-box">
                            <div class="flex-title-status">
                                <p class="mybet-box-name">{{ bet["name"] }}</p>
                                {% if bet["validated"] == false %}
                                    <p class="mybet-box-status bet-status" style="color: red">En attente</p>
                                {% endif %}
                            </div>
                            <p class="mybet-box-isPublic">Type :
                                {% if bet["is_public"] == false %}
                                    Privé
                                {% else %}
                                    Public
                                {% endif %}
                            </p>
                            <p class="mybet-box-isSponsored">
                                {% if bet["is_sponsored"] == false %}
                                    Non sponsorisé
                                {% else %}
                                    Paris Sponsorisé
                                {% endif %}
                            </p>
                            <p class="mybet-box-date">Créé le : {{ bet["created_at"]|date('d-m-Y') }} à  {{ bet["created_at"]|date('H:i:s') }}</p>

                            <a href="{{ path('app_profile_bet', {'id': bet["bet_id"] }) }}" class="mybet-box-button">Voir le pari</a>
                        </div>
                    {% endfor %}
                {% else %}
                    <p style="text-align: center; font-size: 25px;">Vous ne participez à aucun pari !</p>
                {% endif %}
            </div>
    </div>

    <script>
       $(document).on('click', 'a[href^="#"]', function (event) {
            event.preventDefault();

            $('.my-bet-content').animate({
                scrollTop: $($.attr(this, 'href')).offset().top
            }, 500);
        });

    </script>

   

{% endblock %}
